# data.h File Reference

## Detailed Description

Class to deal with pre-saved data files.

Definition in file data.h.

`#include "dll.h"`
`#include <iosfwd>`
`#include <vector>`
`#include <string>`
`#include <stdint.h>`

Include dependency graph for data.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry

## Classes

class | Barry::Data
class | Barry::Diff
class | Barry::DBData
| Database record data class. More...